
Foreman - Feature #3601

Use secure websockets for console access

11/07/2013 10:29 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Security   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107647 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1024

  

Description

As documented in NoVNC under known issues:

when using Firefox, if you use foreman via https, firefox might block the connection (see limiations below), to fix it, goto

about:config and enable network.websocket.allowInsecureFromHTTPS

 Foreman defaults to https:// only, so every firefox user runs into this. It would also increase security if all console access was

encrypted. Websockify does support it, so it's mostly a matter of passing the correct parameters. Ideally the used certificates would

be overrideable through settings.yaml.

Related issues:

Related to Foreman - Bug #7018: SPICE libvirt websockets connections aren't e... New 08/11/2014

Has duplicate Foreman - Feature #4224: Support for TLS Spice connections for ... Duplicate 01/30/2014

Has duplicate Foreman - Feature #1662: Add settings options to secure VNC ses... Duplicate 05/30/2012

Associated revisions

Revision 7d7faa5c - 07/16/2014 02:13 AM - Ewoud Kohl van Wijngaarden

fixes #3601: Use secure websockets if available

Websockets_ssl* settings must be configured with the appropriate

certificates for this to work.

History

#1 - 01/21/2014 09:34 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1024 already tested with VMware and VNC. Needs testing with SPICE.

#2 - 02/05/2014 09:02 AM - Dominic Cleal

- Has duplicate Feature #4224: Support for TLS Spice connections for console access on libvirt Compute ressources added

#3 - 06/25/2014 07:01 AM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107647

#4 - 07/10/2014 02:18 PM - Daniel Lobato Garcia

- Has duplicate Feature #1662: Add settings options to secure VNC sessions between Foreman server and client added

#5 - 07/14/2014 02:22 PM - The Foreman Bot

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1024 added
#6 - 07/16/2014 02:16 AM - Daniel Lobato Garcia

- Category changed from Compute resources to Security

- Assignee set to Daniel Lobato Garcia

#7 - 07/16/2014 02:50 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

#8 - 07/21/2014 04:49 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#9 - 07/30/2014 06:04 AM - Ewoud Kohl van Wijngaarden

https://github.com/theforeman/puppet-foreman/pull/202 enables support by default in the installer.

#10 - 08/11/2014 07:08 AM - Dominic Cleal

- Related to Bug #7018: SPICE libvirt websockets connections aren't encrypted added
